searchNodes=[{"doc":"Provides an Ueberauth strategy for authenticating with Okta.SetupYou'll need to register a new application with Okta and get the client_id and client_secret. That setup is out of the scope of this library, but some notes to remember are:Ensure Authorization Code grant type is enabledYou have valid Login Redirect Urls listed for the app that correctly reference your callback route(s)user or group permissions may need to be added to your Okta app before successfully authenticatingInclude the provider in your configuration for Ueberauthconfig :ueberauth, Ueberauth, providers: [ okta: { Ueberauth.Strategy.Okta, [] } ]Then include the configuration for okta.config :ueberauth, Ueberauth.Strategy.Okta.OAuth, client_id: System.get_env(&quot;OKTA_CLIENT_ID&quot;), client_secret: System.get_env(&quot;OKTA_CLIENT_SECRET&quot;), site: &quot;https://your-doman.okta.com&quot;If you haven't already, create a pipeline and setup routes for your callback handlerpipeline :auth do Ueberauth.plug &quot;/auth&quot; end scope &quot;/auth&quot; do pipe_through [:browser, :auth] get &quot;/:provider/callback&quot;, AuthController, :callback endCreate an endpoint for the callback where you will handle the Ueberauth.Auth structdefmodule MyApp.AuthController do use MyApp.Web, :controller def callback_phase(%{ assigns: %{ ueberauth_failure: fails } } = conn, _params) do # do things with the failure end def callback_phase(%{ assigns: %{ ueberauth_auth: auth } } = conn, params) do # do things with the auth end endYou can edit the behaviour of the Strategy by including some options when you register your provider. To set the uid_field: (Default is :sub)config :ueberauth, Ueberauth, providers: [ okta: { Ueberauth.Strategy.Okta, [uid_field: :email] } ]To set the params that will be sent in the OAuth request, use the oauth2_params key:config :ueberauth, Ueberauth, providers: [ okta: { Ueberauth.Strategy.Okta, [oauth2_params: [scope: &quot;openid email&quot;, max_age: 3600]] } ]See Okta OAuth2 documentation for list of parameters. Note that not all parameters are compatible with this flow","ref":"Ueberauth.Strategy.Okta.html","title":"Ueberauth.Strategy.Okta","type":"module"},{"doc":"","ref":"Ueberauth.Strategy.Okta.html#auth/1","title":"Ueberauth.Strategy.Okta.auth/1","type":"function"},{"doc":"Includes the credentials from the Okta response.","ref":"Ueberauth.Strategy.Okta.html#credentials/1","title":"Ueberauth.Strategy.Okta.credentials/1","type":"function"},{"doc":"","ref":"Ueberauth.Strategy.Okta.html#default_options/0","title":"Ueberauth.Strategy.Okta.default_options/0","type":"function"},{"doc":"Stores the raw information (including the token) obtained from the Okta callback.","ref":"Ueberauth.Strategy.Okta.html#extra/1","title":"Ueberauth.Strategy.Okta.extra/1","type":"function"},{"doc":"Cleans up the private area of the connection used for passing the raw Okta response around during the callback.","ref":"Ueberauth.Strategy.Okta.html#handle_cleanup!/1","title":"Ueberauth.Strategy.Okta.handle_cleanup!/1","type":"function"},{"doc":"Handles the initial redirect to the okta authentication page.Supports state and redirect_uri params which are required for Okta /authorize request. These will also be generated if omitted. redirect_uri in Ueberauth.Strategy.Okta.OAuth config will take precedence over value provided here","ref":"Ueberauth.Strategy.Okta.html#handle_request!/1","title":"Ueberauth.Strategy.Okta.handle_request!/1","type":"function"},{"doc":"Fetches the fields to populate the info section of the Ueberauth.Auth struct.","ref":"Ueberauth.Strategy.Okta.html#info/1","title":"Ueberauth.Strategy.Okta.info/1","type":"function"},{"doc":"Fetches the uid field from the Okta response. This defaults to the option uid_field which in-turn defaults to sub","ref":"Ueberauth.Strategy.Okta.html#uid/1","title":"Ueberauth.Strategy.Okta.uid/1","type":"function"},{"doc":"An implementation of OAuth2 for okta.Required values are site, client_id, client_secret and should be included in your configuration.config :ueberauth, Ueberauth.Strategy.Okta.OAuth, site: &quot;https://your-doman.okta.com&quot; client_id: System.get_env(&quot;OKTA_CLIENT_ID&quot;), client_secret: System.get_env(&quot;OKTA_CLIENT_SECRET&quot;)You can also include options from the OAuth2.Client struct which will take precedence.","ref":"Ueberauth.Strategy.Okta.OAuth.html","title":"Ueberauth.Strategy.Okta.OAuth","type":"module"},{"doc":"Callback implementation for OAuth2.Strategy.authorize_url/2.","ref":"Ueberauth.Strategy.Okta.OAuth.html#authorize_url/2","title":"Ueberauth.Strategy.Okta.OAuth.authorize_url/2","type":"function"},{"doc":"Provides the authorize url for the request phase of Ueberauth.","ref":"Ueberauth.Strategy.Okta.OAuth.html#authorize_url!/2","title":"Ueberauth.Strategy.Okta.OAuth.authorize_url!/2","type":"function"},{"doc":"Construct a client for requests to Okta.Optionally include any OAuth2 options here to be merged with the defaults.Ueberauth.Strategy.Okta.OAuth.client(redirect_uri: &quot;http://localhost:4000/auth/okta/callback&quot;)This will be setup automatically for you in Ueberauth.Strategy.Okta. These options are only useful for usage outside the normal callback phase of Ueberauth.","ref":"Ueberauth.Strategy.Okta.OAuth.html#client/1","title":"Ueberauth.Strategy.Okta.OAuth.client/1","type":"function"},{"doc":"","ref":"Ueberauth.Strategy.Okta.OAuth.html#get_token/2","title":"Ueberauth.Strategy.Okta.OAuth.get_token/2","type":"function"},{"doc":"Callback implementation for OAuth2.Strategy.get_token/3.","ref":"Ueberauth.Strategy.Okta.OAuth.html#get_token/3","title":"Ueberauth.Strategy.Okta.OAuth.get_token/3","type":"function"},{"doc":"","ref":"Ueberauth.Strategy.Okta.OAuth.html#get_user_info/3","title":"Ueberauth.Strategy.Okta.OAuth.get_user_info/3","type":"function"},{"doc":"Überauth OktaOkta strategy for Überauth","ref":"readme.html","title":"Überauth Okta","type":"extras"},{"doc":"Add :ueberauth_okta to your list of dependencies in mix.exs:def deps do [{:ueberauth_okta, &quot;~&gt; 0.2&quot;}] endAdd the strategy to your applications:def application do [extra_applications: [:ueberauth_okta]] endInclude the provider in your configuration for Ueberauthconfig :ueberauth, Ueberauth, providers: [ okta: { Ueberauth.Strategy.Okta, [] } ]You'll need to register a new application with Okta and get the client_id and client_secret. That setup is out of the scope of this library, but some notes to remember are:Ensure Authorization Code grant type is enabledYou have valid Login Redirect Urls listed for the app that correctly reference your callback route(s)user and/or group permissions may need to be added to your Okta app before successfully authenticatingThen include the configuration for okta.config :ueberauth, Ueberauth.Strategy.Okta.OAuth, client_id: System.get_env(&quot;OKTA_CLIENT_ID&quot;), client_secret: System.get_env(&quot;OKTA_CLIENT_SECRET&quot;), site: &quot;https://your-doman.okta.com&quot;If you haven't already, create a pipeline and setup routes for your callback handlerpipeline :auth do plug Ueberauth end scope &quot;/auth&quot; do pipe_through [:browser, :auth] get &quot;/:provider/callback&quot;, AuthController, :callback endCreate an endpoint for the callback where you will handle the Ueberauth.Auth structdefmodule MyApp.AuthController do use MyApp.Web, :controller def callback_phase(%{ assigns: %{ ueberauth_failure: fails } } = conn, _params) do # do things with the failure end def callback_phase(%{ assigns: %{ ueberauth_auth: auth } } = conn, params) do # do things with the auth end end","ref":"readme.html#setup","title":"Überauth Okta - Setup","type":"extras"},{"doc":"This is just the start ueberauth_okta strategy for support with Okta auth protocols. Initially, I will mainly be focused on Okta OAuth, but once that is up I will move onto other autentication routes I'd also like to support (see below):[x] OAuth 2.0[ ] SAML","ref":"readme.html#goals","title":"Überauth Okta - Goals","type":"extras"},{"doc":"Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Addresses issues between Okta API and OAuth2 implementation (Thanks @Deconstrained)The client credentials are included in both the body (params) and in the basic authorization header; Okta will issue a 403 in response to this.Okta's response containing the access token is JSON-encoded, and since oauth2 does not by default support the JSON mimetype, the JSON string containing the token is treated as the token itself, which results in a 401 when making the final request to authenticate the user back to Okta.","ref":"changelog.html#v0-2-0","title":"Changelog - v0.2.0","type":"extras"},{"doc":"Initial Release","ref":"changelog.html#v0-1-0","title":"Changelog - v0.1.0","type":"extras"}]